Skip to content
On this page

Fetch Upsells ​

Retrieve a list of upsell offers from your store.

Endpoint ​

GET /api/upsell/search

Query Parameters ​

NameTypeDescription
pageintPage number (optional)
limitintItems per page (optional)
searchstringSearch by name or title

Response ​

json
{
  "results": [
    {
      "_id": "string",
      "storeId": "string",
      "creatdBy": "string",
      "name": "string",
      "title": "string",
      "description": "string",
      "product": {
        "_id": "string",
        "name": "string"
      },
      "collections": ["string"],
      "products": ["string"],
      "discount": "string",
      "createdAt": "2024-01-01T00:00:00.000Z"
    }
  ],
  "paginate": {
        "total": 1,
        "per_page": 20,
        "current_page": 1,
        "last_page": 1
    }
}

Released under the MIT License.